#include <iostream>
#include "patient2.h"

using namespace std;


void main()
{
	CPatient a("Arthur", 42, 'M');	// create local cpatient object
	CPatient x;		//default cpatient object
	a.identify();
	x.identify();
	a.set_age(34);
	a.set_name("Arthur Dent");
	a.identify();
	char g = a.get_gender();
	if (g == 'M')
		cout << "Mr. ";
	else
		cout << "Ms.";
	cout << a.get_name() << endl;

	// using dynamic memory  and pointers to objects
	//allocate CPatient from heap memory
	CPatient *pp = new CPatient("Florence Nightingale",66,'F');
	pp->identify();
	int pa = pp->get_age(); //get patient age;
	cout << pp->get_name() << " is " << pa << "years old" << endl;
	delete pp;
//    etc.
}

